﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProgramTree;

namespace SimpleLang.Visitors
{
    public class CommonlyUsedVarVisitor : AutoVisitor
    {
        public Dictionary<string,int> Dict { get; set; }

        public CommonlyUsedVarVisitor(Dictionary<string, int> dict)
        {
            Dict = dict;
        }

        public CommonlyUsedVarVisitor()
        {
            Dict = new Dictionary<string, int>();
        }
        public string mostCommonlyUsedVar()
        {
            String res = "";
            int max = int.MinValue;
            foreach(var k in Dict.Keys)
            {
                if(Dict[k] > max)
                {
                    res = k;
                    max = Dict[k];
                }
            }
            return res;
        }
    }
}
