﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProgramTree;

namespace SimpleLang.Visitors
{
    public class ExprComplexityVisitor : AutoVisitor
    {
        public List<int> ExprComplexity { get; set; }

        public ExprComplexityVisitor(List<int> exprcomplexity)
        {
            ExprComplexity = exprcomplexity;
        }

        public ExprComplexityVisitor()
        {
            ExprComplexity = new List<int>();
        }
        // список должен содержать сложность каждого выражения, встреченного при обычном порядке обхода AST
        public List<int> getComplexityList()
        {
            return ExprComplexity;
        }

     }
}
