﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProgramTree;

namespace SimpleLang.Visitors
{
    public class CountCyclesOpVisitor : AutoVisitor
    {
        public int CyclesCnt { get; set; }
        public int OpCnt { get; set; }

        public bool InCycle { get; set; }

        public CountCyclesOpVisitor(int cyclescnt,int opcnt,bool incycle)
        {
            CyclesCnt = cyclescnt;
            OpCnt = opcnt;
            InCycle = incycle;
        }

        public CountCyclesOpVisitor()
        {
            CyclesCnt = 0;
            OpCnt = 0;
            InCycle = false;
        }
        public int MidCount()
        {
            if(CyclesCnt > 0)
                return OpCnt / CyclesCnt;
            return 0;
        }
    }
}
